%global commit      de85758a0a54712010a862d8a94e1bdaaec4cf75
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libarcus-lulzbot
Version:        20221013
Release:        %autorelease
Summary:        Communication library between Cura components, Lulzbot fork
License:        LGPL-3.0-or-later
URL:            https://gitlab.com/lulzbot3d/cura-le/libarcus
Source0:        https://gitlab.com/lulzbot3d/cura-le/libarcus/-/archive/%{commit}/libarcus-%{commit}.tar.gz

Conflicts:      libarcus

# Support new protobuf.
Patch4:         libarcus-lulzbot-3.6.21-new-protobuf.patch

BuildRequires:  python3-setuptools
BuildRequires:  protobuf-devel
BuildRequires:  python3-devel
BuildRequires:  python3-protobuf
BuildRequires:  python3-sip-devel
BuildRequires:  /usr/bin/sip
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  git-core

%description
Arcus library contains C++ code and Python 3 bindings for creating a socket in
a thread and using this socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code. This is the Lulzbot fork.

%package        devel

# The cmake scripts are BSD
License:        LGPLv3+ and BSD

Summary:        Development files for libarcus, Lulzbot fork
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Arcus library contains C++ code and Python 3 bindings for creating a socket in
a thread and using this socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code. This is the Lulzbot fork.

Development files.

%package -n     python3-arcus-lulzbot
Summary:        Python 3 libArcus bindings, Lulzbot fork
Requires:       python3-pyqt5-sip
%{?python_provide:%python_provide python3-arcus-lulzbot}

%description -n python3-arcus-lulzbot
Arcus Python 3 bindings for creating a socket in a thread and using this
socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code. This is the Lulzbot fork.

%prep
%setup -q -n libarcus-%{commit}
%autopatch -p1

%build
%cmake -DBUILD_EXAMPLES:BOOL=OFF -DCMAKE_SKIP_RPATH:BOOL=ON .
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md TODO.md
%{_libdir}/libArcus.so.*

%files devel
%license LICENSE cmake/COPYING-CMAKE-SCRIPTS
%doc examples/example.cpp examples/example.proto
%{_libdir}/libArcus.so
%{_includedir}/Arcus
# Own the dir not to depend on cmake:
%{_libdir}/cmake

%files -n python3-arcus-lulzbot
%license LICENSE
%doc README.md TODO.md
%doc examples/example.py
%{python3_sitearch}/Arcus.so

%changelog
%autochangelog
